/*
 * can_api.h
 *
 *  Created on: 04-May-2023
 *      Author: jainv
 */

#ifndef CAN_API_H_
#define CAN_API_H_

#define CAN0RXID                0
#define RXOBJECT                1
#define CAN0TXID                2
#define TXOBJECT                2

extern volatile bool g_bRXFlag ;
extern volatile uint32_t g_ui32ErrFlag ;
extern tCANMsgObject g_sCAN0RxMessage;
extern tCANMsgObject g_sCAN0TxMessage;
extern uint8_t g_ui8TXMsgData;
extern uint8_t g_ui8RXMsgData;;
extern volatile uint32_t g_ui32RXMsgCount;
extern volatile uint32_t g_ui32TXMsgCount;
extern unsigned int msg_count;

void CAN0IntHandler(void);
void ConfigureUART(void);
void InitCAN0(void);
void CANErrorHandler(void);

#endif /* CAN_API_H_ */
